MYSQL/BZR P3: "bzr log -rX" shows more than one mainline revision?

Bug #484109 reported by GuilhemBichot on 2009-11-17
20
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Bazaar
High
Marius Kruger

Bug Description

This is a Sun/MySQL - Canonical escalation imported into Launchpad by the Canonical Support Team (internal case 6620).

Original escalation: 2009-11-17 0:04 UTC

We noticed this in May 2009, after upgrading bzr. According to my discussion with Vincent Ladeuil back in May, which I am re-reading now, it *is* a bug and it was introduced in 1.12 or 1.13.
I originally reported this in bug#388794 but it seems this wasn't an appropriate place.
I grab https://code.launchpad.net/~mysql/mysql-server/mysql-6.0-codebase-bugfixing
and I do
bzr --no-plugins --no-aliases log -n0 --show-ids -rrevid:<email address hidden>
When I read the output, I see first, with no indentation, the merge revision tomas.ulin@etc above, ok, then revisions indented (I guess, merged by this merge revision), then, again with no indentation, some other revisions. Like this:
------------------------------------------------------------
revno: 2497.583.12 [merge]
revision-id: <email address hidden>
parent: <email address hidden>
parent: <email address hidden>
committer: Tomas Ulin <email address hidden>
branch nick: mysql-5.1-telco-6.2-merge2
timestamp: Thu 2008-08-07 14:53:02 +0200
message:
  merge
    ------------------------------------------------------------
    revno: 2497.604.48
    revision-id: <email address hidden>
    parent: <email address hidden>
    committer: Tomas Ulin <email address hidden>
    branch nick: cge-6.2
    timestamp: Thu 2008-08-07 13:26:22 +0200
    message:
      remove open optimization in ndb injector thread as it seems to cause problems for concurrent usage of eg reset master
    ------------------------------------------------------------
<cut other revisions all indented>
------------------------------------------------------------
revno: 2617.16.6
revision-id: <email address hidden>
parent: <email address hidden>
committer: <email address hidden>
branch nick: mysql-6.0-ndb
timestamp: Sun 2008-08-10 20:48:50 +0200
message:
  ndb - fix merge error
    in test rpl_slave_allow_batching_basic
------------------------------------------------------------
<cut other revisions not indented>

I don't understand why I see 2617.16.6. Normally, "bzr log -rX" is when you want to see revision X; -n0 is when you also want to see what revisions it merged. Why would it show 2617.16.6?
Another example:
bzr log --show-ids --long -r revid:<email address hidden>
also shows two mainline revisions.

Related branches

Martin Pool (mbp) on 2009-11-17
tags: added: log
Changed in bzr:
importance: Undecided → High
summary: - "bzr log -rX" shows more than one mainline revision?
+ MYSQL/BZR P3: "bzr log -rX" shows more than one mainline revision?
description: updated
visibility: public → private
Vincent Ladeuil (vila) on 2009-11-19
visibility: private → public
Marius Kruger (amanica) wrote :

This could be related to https://bugs.launchpad.net/bzr/+bug/325618 .

If you like you can try and see if my fix for that bug also fixes your problem:
https://code.launchpad.net/~amanica/bzr/325618_log_returns_too_much/+merge/14275

GuilhemBichot (guilhem-bichot) wrote :

Hello Marius. I tried your branch on my two testcases, and the difference is that the additional revisions at the bottom, with 0-space indentation, are gone, which is very good. I don't know if the unchanged rest of the output (the indented revisions) is correct, but deciding this would require a definition of what "bzr log -r" does, which is likely a long different topic :-)
So, for this particular bug, I think your branch fixes it.

Changed in bzr:
assignee: nobody → Marius Kruger (amanica)
milestone: none → 2.1.0b4
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers